CreateAutoScalingGroup
CreateAutoScalingGroup
POST
/zstack/v1/autoscaling/groupsOperation ID
CreateAutoScalingGroupSince
3.1.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe resource name.
descriptionStringOptional. The detailed description of the resource.
scalingResourceTypeStringRequiredThe resource type of the auto scaling group. Current type: VM instance.
minResourceSizeIntegerRequiredThe minimum number of VM instances in the auto scaling group.
maxResourceSizeIntegerRequiredThe maximum number of VM instances in the auto scaling group.
defaultCooldownLongRequiredThe default cooldown time of the auto scaling rule.
removalPolicyStringRequiredThe policy for removing a VM instance.
defaultEnablebooleanOptional. Whether to enable the auto scaling group after creation.
resourceUuidStringOptional. The resource UUID.
tagUuidsListOptional. The tag UUID list.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
